TlsSRTPUtils (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class TlsSRTPUtils

- java.lang.Object
- - org.bouncycastle.crypto.tls.TlsSRTPUtils

-     public class TlsSRTPUtils
      extends java.lang.Object

  RFC 5764 DTLS Extension to Establish Keys for SRTP.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Integer` | `EXT_use_srtp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TlsSRTPUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addUseSRTPExtension(java.util.Hashtable extensions, UseSRTPData useSRTPData)`
    `static byte[]` | `createUseSRTPExtension(UseSRTPData useSRTPData)`
    `static UseSRTPData` | `getUseSRTPExtension(java.util.Hashtable extensions)`
    `static UseSRTPData` | `readUseSRTPExtension(byte[] extensionData)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXT_use_srtp

          public static final java.lang.Integer EXT_use_srtp

  - ### Constructor Detail

    - #### TlsSRTPUtils

          public TlsSRTPUtils()

  - ### Method Detail

    - #### addUseSRTPExtension

          public static void addUseSRTPExtension(java.util.Hashtable extensions,
                                 UseSRTPData useSRTPData)
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getUseSRTPExtension

          public static UseSRTPData getUseSRTPExtension(java.util.Hashtable extensions)
                                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### createUseSRTPExtension

          public static byte[] createUseSRTPExtension(UseSRTPData useSRTPData)
                                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readUseSRTPExtension

          public static UseSRTPData readUseSRTPExtension(byte[] extensionData)
                                                  throws java.io.IOException

      Throws:
        `java.io.IOException`